-- не позволяем выставлять дублирующиеся адреса
CREATE TRIGGER OnПодстанцияUpdate ON [dbo].[Подстанция] 
FOR INSERT, UPDATE
AS
  if exists(
    select 1 
    from inserted
    inner join Подстанция on Подстанция.AddressID = inserted.AddressID 
    where inserted.AddressID IS NOT NULL AND inserted.Код_подстанции <> Подстанция.Код_подстанции)
  begin
    RAISERROR ('Значение поля AddressID в таблице Подстанция должно быть уникальным',16,1)
    ROLLBACK TRANSACTION
  end